
#pragma once

CString GetEscapedXmlString(CString &szInput); // Xml escape chars ( " ==> &quot;, < ==> &lt;, & ==> &amp;)
CString UTF8Conversion(CString &s); // local charset ==> UTF8

CString GetUnescapedXmlString(CString &szInput); // Xml unescape chars (&quot; ==> ", &lt; ==> <, &amp; ==> &);
CString FromUTF8Conversion(CString &s); // UTF8 ==> local charset

void BSTR_to_CString(/*in*/BSTR bstr, /*out*/CString &s);
void VARIANT_to_CString(/*in*/VARIANT &vt, /*out*/CString &s);
void TokenizeString(/*in*/CString &szInput, char cToken, /*out*/ArrayCString &arrStrings);
void TokenizeString(/*in*/CString &szInput, /*in*/CString &szTokenString, /*out*/ArrayCString &arrStrings);
void UntokenizeString(/*in*/ArrayCString &arrStrings, char cToken, /*out*/CString &szOutput);
