// demo.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "HostSite.h"

int main(int argc, char* argv[])
{
	if (argc<=1)
	{
		printf ("usage : XmlAutomationBridge_demo.exe <xmlfile>\r\n");
		return 0;
	}

	CHostSite *pHost = new CHostSite();
	if (!pHost)
		return 0; // good bye!

// executing inline xml code :
/*	CString s;
	s = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" \
		" <server registry=\"comserver.object\">" \
		"  <ICOMServer method=\"*\" output=\"c:\\temp.xml\">" \
		"  </ICOMServer>" \
		" </server>";

	pHost->parseXmlCode(s); */
//

	// executing xml code from an external .xml file
	pHost->parseXmlFile( argv[1] );

	delete pHost;

	return 0;

}

