



#ifndef __HOSTSITE__
#define __HOSTSITE__


#include "Templates.h"
#include "CString.h"

class CContext; // forward declaration


#define XMLPROPERTY	"property"
#define XMLMETHOD "method"



class CHostSite
{
	// Members
	//
protected:
	XMLHASH_TABLE	m_contexts; // array of contexts

	// Constructor
	//
public:
	CHostSite();
	virtual ~CHostSite();


	// Methods
	//

	BOOL parseXmlFile(char *szFilename);

	CContext *getContext(const LPTSTR szContext, CContext *pParentContext);
	CContext *createContext(const LPTSTR szContext);
	void closeContext(const LPTSTR szContext);
	void removeContexts();


// Overrides
public:


};



class CDoItInvokeHelper
{
public:
	HRESULT InvokeHelper_PropertyGet(IDispatch *pDisp, OLECHAR FAR* szProperty, VARIANT FAR &VarResult);
	HRESULT InvokeHelper_PropertyPutDISPPARAMS(IDispatch *pDisp, OLECHAR FAR* szProperty, DISPPARAMS &dispParams, VARIANT FAR &VarResult);
	HRESULT InvokeHelper_Method_NoParam(IDispatch *pDisp, OLECHAR FAR* szMethod, VARIANT FAR &VarResult);
	HRESULT InvokeHelper_Method_ParamLong(IDispatch *pDisp, OLECHAR FAR* szMethod, long nParamValue, VARIANT FAR &VarResult);
	HRESULT InvokeHelper_Method_ParamBSTR(IDispatch *pDisp, OLECHAR FAR* szMethod, BSTR &szParamValue, VARIANT FAR &VarResult);
	HRESULT InvokeHelper_Method_ParamDISPPARAMS(IDispatch *pDisp, OLECHAR FAR* szMethod, DISPPARAMS &dispParams, VARIANT FAR &VarResult);

}; // end class CDoItInvokeHelper




#endif // __HOSTSITE__