

#ifndef _XMLMSGINTERFACE_
#define _XMLMSGINTERFACE_

#include "Templates.h"
#include "XmlIdDef.h"

class IXmlMsgInterface
{
protected:
	XmlArrayInt			m_tableInt;
	XmlArrayString		m_tableString;
	XmlArrayLPVoid		m_tablePtr;

	void*				m_cpHandler;
		
public:
	virtual BOOL SetParamInt(int nParamID, int nValue) = 0; // VIRTUAL PURE
	virtual BOOL SetParamString(int nParamID, char *szValue) = 0; // VIRTUAL PURE
	virtual BOOL SetParamPtr(int nParamID, void *pValue) = 0; // VIRTUAL PURE

	virtual int  GetParamInt(int nParamID) = 0; // VIRTUAL PURE
	virtual char *GetParamString(int nParamID) = 0; // VIRTUAL PURE
	virtual void *GetParamPtr(int nParamID) = 0; // VIRTUAL PURE

	virtual void SetMsgHandler(void *pHandler) = 0; // VIRTUAL PURE
};

#endif
